<div class="container-xl">

  <div class="card" style="width: 90%;padding: 5%;">
    <div class="card-header">
      Nouveau Virement
    </div>
    <div class="card-body"  style="width: 90%;padding: 5%;">
      <h5 class="card-title">Informations</h5>
      <p class="card-text">Prie de remplire le formulaire operation virement</p>

      <form class="row g-3"  [formGroup]="operationVirementFormGroup" (ngSubmit)="nouveauOperationVirement(operationVirementFormGroup)">

        <div class="col-md-3">
          <label for="inputCrediteurRib" class="form-label">Liste RIB</label>
          <select  id="inputCrediteurRib" class="form-select"
                  formControlName="ribCrediteur">rib créditeur
            <option  *ngFor="let rib of listCrediteurRib" value="{{rib}}">{{ rib }}</option>

          </select>
        </div>
        <div class="col-md-3">
          <label for="inputMontant" class="form-label">Montant</label>
          <input type="number" class="form-control" id="inputMontant"   formControlName="montant">
        </div>

        <div class="col-md-3">
          <label for="inputRibDestinateur" class="form-label">RIB Destinature</label>
          <input type="text" class="form-control" id="inputRibDestinateur"
                 formControlName="ribDestinateur">
        </div>
        <div class="col-md-3">
          <label for="inputMotif" class="form-label">Motif</label>
          <input type="text" class="form-control" id="inputMotif"
                 formControlName="motif"  >
        </div>
<input type="hidden" formControlName="utilisateurCrediteurId"   >
        <input type="hidden" formControlName="typeOperation" >






        <div class="col-12">
          <button type="submit" class="btn btn-primary">Nouveau virement</button>
        </div>

      </form>
    </div>
  </div>

</div>


